mapreferee ruby ڧѧ 25.12.2011 14:16:
> Hi all,
>
> I have encountered a problem when learning Ruby. I am trying to 
> install
> several gems on ubtuntu. I install them with the following command:
>
> gem install the_name_of_a_gem
>
> But then I got the error message below:
> ---------------------------------------
> ERROR:  Loading command: install (LoadError)
>     cannot load such file -- zlib
> ERROR:  While executing gem ... (NameError)
>     uninitialized constant Gem::Commands::InstallCommand
> -----------------------------------------
>
> Have I done something wrong here. Any help appreciated.

Looks like you are using RVM. If so, then install zlib1g-dev
and libssl-dev, then reinstall whatever Ruby version you are using.

-- 
   WBR, Peter Zotov.